Create a 3d vector that is perpendicular to two other 3d vectors

Is it possible in Rhino to create a 3d vector that is perpendicular to two other 3d vectors?

I see CrossProduct Method in RhinoCommon API under Vector3d Methods. This looks like what I’m after, but I don’t know anything about the RhinoCommon API.

Python rhinoscriptsyntax and VB Rhinoscript also have VectorCrossProduct methods - as does Grasshopper.

Helvetosaur, could you point me to the scripts, and briefly describe how to use them. I have used Rhino scripts in the past, but it has been a while.

Maybe you could let us know what exactly you need to do with it? Otherwise it’s shooting in the dark a bit.

Here is the link to the online rhinoscriptsyntax help (in case it helps)

I’m asking this essentially because native Rhino doesn’t have a “vector” object - vectors are a concept that indicate direction and are used extensively in scripting/programing, but you can’t actually see a vector in Rhino.

I’m using Agisoft Metashape to make and ortho image of a trench profile. There is an option to Build Orhomosaic using markers that define two vectors. The vectors use the cross method to find the normal of the two vectors. I’m having a hard time visualizing it, so wanted to use Rhino to see exactly what it is doing.

You can visualize vectors in Grasshopper:


CrossProduct.gh (7.9 KB)

Thanks Helvetosaur, Grasshopper looks pretty cool. I hope I have time to explore it in the future.

The vectors I am wanting to check do not lie in the same plane, or intersect. Here is a screen grab that shows how they relate to each other.

Doesn’t matter… Vectors are basically a direction and a magnitude, they don’t actually have a placement in space like a point. The display in GH needs a base point input from which to display the vector direction, but that’s essentially arbitrary.

I guess I really didn’t have a good understanding of vectors. I found this video series that is helping a lot:

Essential Mathematics

Thanks Helvetosaur